MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sc::PrimPairsCints Class Reference

PrimPairsCints contains primitive pair data. More...

`#include <primpairs.h>`

Inheritance diagram for sc::PrimPairsCints:
[legend]
Collaboration diagram for sc::PrimPairsCints:
[legend]

## Public Member Functions
| PrimPairsCints (const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &)
prim_pair_t * | prim_pair (int p1, int p2) const
double | P (int p1, int p2, int xyz) const
double | gamma (int p1, int p2) const
double | ovlp (int p1, int p2) const
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members
Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Detailed Description

PrimPairsCints contains primitive pair data.

The documentation for this class was generated from the following file:

- primpairs.h